Summary:	X.org video driver for generic VESA video cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych zgodnych z VESA
Name:		xorg-driver-video-vesa
Version:	2.3.3
Release:	4
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
# Source0-md5:	3690a5356ed121b1a7dfb59a6dcf4bf9
Patch0:		%{name}-xf86gtfmode.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.12.901
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for generic VESA video cards.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych zgodnych ze standardem
VESA.

%prep
%setup -q -n xf86-video-vesa-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*
%changelog
* Thu Jul 17 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-vesa.git;a=log;h=master

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d920dba
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 145ce81
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 39ef141
- release 2 (by relup.sh)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a606f2
- updated to 2.3.3
- removed obsolete build patch

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2b0bb
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2463d3a
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ed25391
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a8b634
- updated to 2.3.2

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> ecc806e
- updated to 2.3.1

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ee711a
- release 7

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> c114cc0
- xorg-driver-video virtual for video drivers
- release 6

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ea76e6
- release 5

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 89f7e5c
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 528b3a4
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a0617fa
- release 3

* Fri Apr 02 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 03e9544
- release 2

* Mon Jan 04 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c9663d2
- up to 2.3.0

* Fri Oct 02 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 9058e84
- release 2

* Thu Sep 10 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 828e737
- up to 2.2.1

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> c3dad10
- release 2

